# $Revision: 1.88 $, $Date: 2007-11-25 15:39:12 $
# TODO:
# - make use of eclipse-swt package
#   and add proper provides, obsoletes, conflicts etc. where needed.
#   This will make building such things like Azureus possible without having
#   whole Eclipse suite installed.
# - there are unpackaged source files, -devel?
#
%define		_ver_major	3.3.1.1
%define		_buildid	200710231652
#
Summary:	Eclipse - an open extensible IDE
Summary(pl.UTF-8):	Eclipse - otwarte, rozszerzalne środowisko programistyczne
Name:		eclipse
Version:	%{_ver_major}
Release:	0.1
License:	EPL v1.0
Group:		Development/Tools
Source0:	http://download.eclipse.org/eclipse/downloads/drops/R-%{_ver_major}-%{_buildid}/%{name}-sourceBuild-srcIncluded-%{_ver_major}.zip
# Source0-md5:	593b56fce7d1f1f799e87365cafefbef
Source1:	%{name}.desktop
URL:		http://www.eclipse.org/
BuildRequires:	ant >= 1.6.1
BuildRequires:	ant-apache-regexp
BuildRequires:	jdk >= 1.6
BuildRequires:	pkgconfig
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.300
BuildRequires:	sed
BuildRequires:	unzip
BuildRequires:	zip
Requires:	ant
Requires:	jdk >= 1.4
Obsoletes:	eclipse-SDK
ExclusiveArch:	i586 i686 pentium3 pentium4 athlon %{x8664}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_eclipse_arch	%(echo %{_target_cpu} | sed 's/i.86\\|athlon\\|pentium/x86/;s/amd64/x86_64/')
%define		no_install_post_chrpath		1

# list of script capabilities (regexps) not to be used in Provides
%define		_noautoprov			libcairo.so.2

%description
Eclipse is a kind of universal tool platform - an open extensible IDE
for anything and nothing in particular.

%description -l pl.UTF-8
Eclipse to rodzaj uniwersalnej platformy narzędziowej - otwarte,
rozszerzalne IDE (zintegrowane środowisko programistyczne) do
wszystkiego i niczego w szczególności.

%prep
%setup -q -c

# Build Id - it's visible in couple places in gui
# TODO: just patch build.xml not every single file
find . '(' -name 'config.ini' -o -name 'about.mappings' ')' -type f -print \
    | xargs %{__sed} -i -e 's/=@build@/=PLD %{name}-%{version}-%{release}/'

%build
unset CLASSPATH || :
export JAVA_HOME=%{java_home}

./build -os linux -ws gtk -arch %{_eclipse_arch} -target compile

export JAVA_INC="-I$JAVA_HOME/include -I$JAVA_HOME/include/linux"

%{__make} -C plugins/org.eclipse.core.filesystem/natives/unix/linux/ \
    OPT_FLAGS="%{rpmcflags} $JAVA_INC" \
    CFLAGS="%{rpmcflags} $JAVA_INC" \
    LDFLAGS="%{rpmldflags}"

cd plugins/org.eclipse.update.core.linux/src
%{__cc} %{rpmcflags} -fPIC %{rpmldflags} -I. $JAVA_INC update.c -o libupdate.so -shared
cd -

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_bindir},%{_libdir}/%{name}}
# place for arch independent plugins
install -d $RPM_BUILD_ROOT%{_datadir}/%{name}/{features,plugins}

unset JAVA_HOME || :
export JAVA_HOME=%{java_home}
./build -os linux -ws gtk -arch %{_eclipse_arch} -target install

tar xfz result/linux-gtk-%{_eclipse_arch}-sdk.tar.gz -C $RPM_BUILD_ROOT%{_libdir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

install plugins/org.eclipse.core.filesystem/natives/unix/linux/lib*.so $RPM_BUILD_ROOT%{_libdir}/%{name}
install plugins/org.eclipse.update.core.linux/src/lib*.so $RPM_BUILD_ROOT%{_libdir}/%{name}

#wrapper
install -d $RPM_BUILD_ROOT%{_bindir}
cat > $RPM_BUILD_ROOT%{_bindir}/eclipse << 'EOF'
#!/bin/sh
exec %{_libdir}/%{name}/eclipse ${1:+"$@"}
EOF

:> $RPM_BUILD_ROOT%{_datadir}/%{name}/.eclipseextension

if [ ! -f "$RPM_BUILD_ROOT%{_libdir}/%{name}/icon.xpm" ]; then
	install features/org.eclipse.equinox.executable/bin/gtk/linux/x86/icon.xpm $RPM_BUILD_ROOT%{_libdir}/%{name}/icon.xpm
fi
install -D features/org.eclipse.equinox.executable/bin/gtk/linux/x86/icon.xpm $RPM_BUILD_ROOT%{_pixmapsdir}/eclipse-icon.xpm

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/eclipse
%attr(755,root,root) %{_libdir}/%{name}/eclipse
%attr(755,root,root) %{_libdir}/%{name}/lib*.so
%{_desktopdir}/eclipse.desktop
%{_pixmapsdir}/eclipse-icon.xpm
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/.eclipseproduct
%{_libdir}/%{name}/configuration
%{_libdir}/%{name}/eclipse.ini
%{_libdir}/%{name}/epl-v10.html
%{_libdir}/%{name}/icon.xpm
%{_libdir}/%{name}/notice.html
%{_libdir}/%{name}/readme
%{_libdir}/%{name}/about.html
#%dir %{_libdir}/%{name}/about_files
#%{_libdir}/%{name}/about_files/mpl-v11.txt
%dir %{_libdir}/%{name}/features
%{_libdir}/%{name}/features/org.eclipse.cvs_*.*.*
%{_libdir}/%{name}/features/org.eclipse.jdt_*.*.*
%{_libdir}/%{name}/features/org.eclipse.pde_*.*.*
%{_libdir}/%{name}/features/org.eclipse.platform_*.*.*
%{_libdir}/%{name}/features/org.eclipse.rcp_*.*.*
%{_libdir}/%{name}/features/org.eclipse.sdk_*.*.*
%dir %{_libdir}/%{name}/plugins
%{_libdir}/%{name}/plugins/javax.servlet.jsp_*.*.*
%{_libdir}/%{name}/plugins/javax.servlet_*.*.*
%{_libdir}/%{name}/plugins/com.ibm.icu_*.*.*
%{_libdir}/%{name}/plugins/com.jcraft.jsch_*.*.*
%{_libdir}/%{name}/plugins/org.apache.ant_*.*.*
%{_libdir}/%{name}/plugins/org.apache.commons.el_*.*.*
%{_libdir}/%{name}/plugins/org.apache.commons.logging_*.*.*
%{_libdir}/%{name}/plugins/org.apache.jasper_*.*.*
%{_libdir}/%{name}/plugins/org.apache.lucene_*.*.*
%{_libdir}/%{name}/plugins/org.apache.lucene.analysis_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.ant.core_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.ant.ui_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.compare_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.core.boot_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.core.commands_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.core.contenttype_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.core.databinding_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.core.databinding.beans_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.core.expressions_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.core.filebuffers_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.core.filesystem_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.core.filesystem.linux.*_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.core.jobs_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.core.net_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.core.resources_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.core.resources.compatibility_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.core.runtime_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.core.runtime.compatibility_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.core.runtime.compatibility.auth_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.core.runtime.compatibility.registry_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.core.variables_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.cvs_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.debug.core_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.debug.ui_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.app_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.common_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.http.jetty_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.http.registry_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.http.servlet_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.jsp.jasper.registry_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.jsp.jasper_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.launcher_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.launcher.gtk.linux.%{_eclipse_arch}_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.preferences_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.registry_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.help_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.help.appserver_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.help.base_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.help.ui_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.help.webapp_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.jdt_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.jdt.apt.*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.jdt.core_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.jdt.core.manipulation*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.jdt.debug_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.jdt.debug.ui_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.jdt.doc.isv_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.jdt.doc.user_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.jdt.junit_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.jdt.junit.runtime_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.jdt.junit4.runtime_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.jdt.launching_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.jdt.ui_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.jdt.compiler.apt_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.jdt.compiler.tool_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.jface_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.jface.databinding_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.jface.text_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.jsch.core_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.jsch.ui_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.ltk.core.refactoring_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.ltk.ui.refactoring_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.osgi_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.osgi.services_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.osgi.util_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.pde_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.pde.build_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.pde.core_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.pde.doc.user_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.pde.junit.runtime_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.pde.runtime_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.pde.ui_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.pde.ui.templates_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.platform_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.platform.doc.isv_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.platform.doc.user_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.rcp_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.sdk_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.swt_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.swt.gtk.linux.%{_eclipse_arch}_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.search_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.team.core_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.team.cvs.core_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.team.cvs.ssh2_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.team.cvs.ssh_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.team.cvs.ui_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.team.ui_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.text_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.tomcat_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.ui_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.ui.browser_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.ui.cheatsheets_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.ui.console_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.ui.editors_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.ui.externaltools_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.ui.forms_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.ui.ide_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.ui.ide.application_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.ui.intro_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.ui.intro.universal_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.ui.navigator_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.ui.navigator.resources_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.ui.net_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.ui.presentations.r21_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.ui.views_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.ui.views.properties.tabbed_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.ui.workbench_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.ui.workbench.compatibility_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.ui.workbench.texteditor_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.update.configurator_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.update.core_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.update.core.linux_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.update.scheduler_*.*.*
%{_libdir}/%{name}/plugins/org.eclipse.update.ui_*.*.*
%{_libdir}/%{name}/plugins/org.junit_*.*.*
%{_libdir}/%{name}/plugins/org.junit4_*.*.*
%{_libdir}/%{name}/plugins/org.mortbay.jetty_*.*.*

%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/features
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/.eclipseextension

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: eclipse.spec,v $
Revision 1.88  2007-11-25 15:39:12  glen
- update swt todo

Revision 1.87  2007-11-07 09:00:08  arekm
- up to 3.3.1.1

Revision 1.86  2007/10/03 20:52:54  cactus
- rel. 0.5

Revision 1.85  2007/10/03 20:50:24  cactus
- up to 3.3.1
- disabled %dir about_files
- builds, works fine and stable for me

Revision 1.84  2007/08/20 18:03:49  arvenil
- build id is visible in more places

Revision 1.83  2007/08/19 17:31:06  arvenil
- added multiple missing files
- removed source files from package
- replacing "@build@" in start banner by build info
- updated todo
- cleaning
- starts and works for me;)

Revision 1.82  2007/08/19 08:46:43  arvenil
- 3 missing files, still doesn't work but goes one step forward

Revision 1.81  2007/07/26 21:23:30  zawadaa
- now build but not works - a lot of files unpacked

Revision 1.80  2007/07/01 13:55:17  arekm
- 3.3 but install fails (Could not create type regexpmapper due to No supported regular expression matcher found)

Revision 1.79  2007/04/10 17:54:23  glen
- do not provide libcairo.so.2

Revision 1.78  2007/03/14 07:33:15  arekm
- up to 3.2.2

Revision 1.77  2007/02/12 21:23:54  glen
- tabs in preamble

Revision 1.76  2007/02/12 00:48:47  baggins
- converted to UTF-8

Revision 1.75  2006/09/22 16:11:06  maciek2w
- disabled build of junit4 and apt by patch from
  http://cvs.fedora.redhat.com/viewcvs/rpms/eclipse/devel/eclipse-disable-junit4-apt.patch?rev=1.4&view=auto

Revision 1.74  2006/07/19 23:10:13  glen
- there's nothing "further" after exec

Revision 1.73  2006/07/19 23:06:45  czarny
 - changed wrapper shell to bash because of expr error in further eclipse scripts

Revision 1.72  2006/07/17 19:56:49  glen
- drop noarch from ExclusiveArch (no BuildArch: noarch present)

Revision 1.71  2006/07/15 19:48:59  adamg
- updated to 3.2 final

Revision 1.70  2006/06/03 04:03:06  charles
- updated to RC6
- BR: rpm-pythonprov (req. pythondeps.sh)

Revision 1.69  2006/05/27 09:54:44  qboosh
- use arch-independent location (a copy in pixmapsdir) for desktop icon

Revision 1.68  2006/05/27 09:48:29  qboosh
- unset update from AC-branch

Revision 1.67  2006/05/25 18:10:57  arekm
- up to RC5

Revision 1.66  2006/05/23 20:34:37  glen
- rpmbuild(macros) >= 1.300 instead of macros.java rpm-javaprov

Revision 1.65  2006/05/21 20:24:29  glen
- use rpm-javaprov

Revision 1.64  2006/05/20 18:58:32  jajcus
- use jpackage-utils for build. No hardcoded JAVA_HOME.

Revision 1.63  2006/05/20 14:26:15  arekm
- R: ant in R, too

Revision 1.62  2006/05/19 20:48:55  arekm
- unpackaged files are now packaged

Revision 1.61  2006/05/19 11:28:19  jajcus
- s/jakarta-ant/ant/ in BR

Revision 1.60  2006/05/18 07:21:15  arekm
- update files

Revision 1.59  2006/05/17 21:48:42  pluto
- quick update to 3.2rc4.

Revision 1.58  2006/04/21 23:28:28  arekm
- build and install some libs

Revision 1.57  2006/04/21 23:13:49  arekm
- include com.* classes

Revision 1.56  2006/04/21 22:46:31  arekm
- more updates (build/install/files)

Revision 1.55  2006/04/21 18:45:42  arekm
- start playing with 3.2; 3.1 is on ECLIPSE_3_1 branch

Revision 1.54  2006/04/03 15:02:07  glen
- cosmetics

Revision 1.53  2006/02/19 22:38:20  arekm
- builds on ppc, too

Revision 1.52  2006/01/31 23:55:11  arekm
- up to 3.1.2

Revision 1.51  2005/10/10 09:18:40  pawcioos
- updated to 3.1.1

Revision 1.50  2005/07/03 14:23:55  charles
- added export JAVA_HOME to %install section

Revision 1.49  2005/07/01 17:58:11  twittner
- added /usr/share/eclipse/{features,plugins} dirs for arch independent
  extensions
- rel. 2

Revision 1.48  2005/07/01 11:48:28  pluto
- amd64 build fixed, .so stripping enabled, eclipse works.
- release 1.

Revision 1.47  2005/07/01 09:27:25  pluto
- license updated, cleanups, removed dupe from %files.

Revision 1.46  2005/06/30 21:54:23  djurban
- Wrote: /home/users/djurban/rpm/RPMS/eclipse-3.1-0.1.athlon.rpm
- I hope it works, not sure yet, thats why 0.1, please test it.
- not sure if it depends on eclipse-swt, probably not

Revision 1.45  2005/06/30 17:39:13  djurban
- being work on 3.1, NFY,builds, moving out swt to eclipse-swt.spec

Revision 1.44  2005/05/21 15:01:58  prism
- added TODO

Revision 1.43  2005/05/11 18:35:03  pluto
- cosmetics.

Revision 1.42  2005/05/11 15:27:01  qboosh
- use x8664 macro

Revision 1.41  2005/04/22 22:13:07  arekm
- updated; builds

Revision 1.40  2005/04/21 20:57:27  arekm
- updated version (doesn't build unfortunately; previous didn't build also)

Revision 1.39  2005/04/09 15:52:58  saq
- three "make me build" patches
- missing BR

Revision 1.38  2005/01/06 14:17:49  zawadaa
- build on x86 arch fix
- nostrip only on amd64

Revision 1.37  2005/01/02 23:01:09  zawadaa
- up to 3.1M4
- now it works on amd64 (can't strip *.so)

Revision 1.36  2004/12/23 18:53:24  zawadaa
- builds on amd64 but not working :-(

Revision 1.35  2004/12/22 14:23:43  qboosh
- added missing -fPIC

Revision 1.34  2004/12/22 13:54:09  zawadaa
- DON'T hardcode java paths!

Revision 1.33  2004/10/22 21:07:45  pluto
- /usr/{share->lib}/eclipse.

Revision 1.32  2004/10/22 20:37:13  pluto
- fixed undefined symbol in libswt-pi-gtk-3106.so.

Revision 1.31  2004/10/22 17:51:20  pluto
- updated to 3.1M2-200409240800.
- mozilla stuff disabled (doesn't build at this momment).
- swt<->kde bind added.

Revision 1.30  2004/10/01 09:50:34  paladine
- rel up for fixed desktop file

Revision 1.29  2004/08/18 12:51:01  pluto
- %files fixed.
- %Source0 fixed.

Revision 1.28  2004/08/18 12:22:24  pluto
- updated to 3.1M1-20040812.

Revision 1.27  2004/07/15 16:13:11  pluto
- native binaries finished.
- release 2.

Revision 1.26  2004/07/09 21:39:38  pluto
- release 1.2 (works for me).

Revision 1.25  2004/07/09 21:30:07  pluto
- %files

Revision 1.24  2004/07/09 20:21:19  pluto
- xpcom already bconded.

Revision 1.23  2004/07/09 20:17:06  pluto
- native .so almost finished...
  (TODO: /plugins/
   org.eclipse.core.resources.linux_3.0.0/os/linux/x86/libcore_2_1_0b.so
   org.eclipse.update.core.linux_3.0.0/os/linux/x86/libupdate.so).

Revision 1.22  2004/07/09 15:40:04  pluto
- BR(mozilla-devel) disabled for amd64.

Revision 1.21  2004/07/09 15:30:08  pluto
- building native binds. %install nfy...

Revision 1.20  2004/07/06 13:32:32  pluto
- minor build fix, TODO updated.

Revision 1.19  2004/07/06 10:42:33  pluto
- BR: fixed.

Revision 1.18  2004/07/02 22:10:56  mkierus
- updated to 3.0 final

Revision 1.17  2004/05/22 11:18:33  saq
- 3.0M9

Revision 1.16  2004/04/01 01:36:27  ankry
- direct src URL

Revision 1.15  2004/03/31 07:56:50  pius
- updated to M8

Revision 1.14  2004/01/25 14:48:04  krzak
- BR: zip

Revision 1.13  2004/01/08 21:19:40  saq
- version 3.0M6

Revision 1.12  2003/12/11 09:00:33  qboosh
- added descriptions (from URL), use standard glob exclusion

Revision 1.11  2003/12/11 08:50:17  saq
- minor fixes
- major fix: wrong License (think when you copy&paste!)

Revision 1.10  2003/10/07 11:29:18  qboosh
- simplified %setup

Revision 1.9  2003/09/11 10:22:57  ankry
- desktop file out of spec

Revision 1.8  2003/08/26 21:08:37  misto
- up to 3.0M2
- cleanups

Revision 1.7  2003/08/18 08:08:01  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.6  2003/07/11 12:28:22  ankry
- URL fixes and other cosmetics

Revision 1.5  2003/06/20 09:05:08  pascalek
- set JAVA_HOME before building

Revision 1.4  2003/05/26 16:24:55  malekith
- massive attack: adding Source-md5

Revision 1.3  2003/05/25 05:47:03  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/04/16 19:55:46  aflinta
- version 2.1.0

Revision 1.1  2003/02/19 10:22:28  pascalek
- initial release
